import { ICreateCalendarDTO } from "@modules/calendar/dtos/ICreateCalendarDTO"
import { Calendar } from "@prisma/client"

interface ICalendarsRepository {
    create({title, information, date}: ICreateCalendarDTO): Promise<Calendar>
    findById(id:string): Promise<Calendar>
    findByTitle(title: string): Promise<Calendar>
    findAllCalendar(): Promise<Calendar[]>
    deleteCalendar(id: string): Promise<Boolean>
}

export {ICalendarsRepository}