import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { DeleteCalendarUseCase } from './deleteCalendarUseCase';

class deleteCalendarController {
    async handle(request: Request, response: Response) {
        const {id} = request.params
        const deleteCalendarUseCase = container.resolve(DeleteCalendarUseCase)

        await deleteCalendarUseCase.execute(id)

        return response.status(200).json({ "message": "Deleted" })
    }
}

export {deleteCalendarController}